Package org.codehaus.commons.compiler.util.iterator

# Class UniterableElementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.commons.compiler.util.iterator.UniterableElementException

All Implemented Interfaces:
  `Serializable`

public class UniterableElementException extends RuntimeException
Thrown by `MultiDimensionalIterator` to indicate that it has encountered an element that cannot be iterated.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UniterableElementException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UniterableElementException

public UniterableElementException()